cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SCD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SCD

- All Implemented Interfaces:
    ISegment

      public class SCD
      extends Segment

  SCD - Anti-Microbial Cycle Data Segment

  The SCD segment contains cycle data representing an instance of a sterilization or decontamination.

  Represents an HL7 SCD message segment. This segment has the following fields:

  SCD-1 : Cycle Start Time (TM) Optional
  SCD-2 : Cycle Count (NM) Optional
  SCD-3 : Temp Max (CQ) Optional
  SCD-4 : Temp Min (CQ) Optional
  SCD-5 : Load Number (NM) Optional
  SCD-6 : Condition Time (CQ) Optional
  SCD-7 : Sterilize Time (CQ) Optional
  SCD-8 : Exhaust Time (CQ) Optional
  SCD-9 : Total Cycle Time (CQ) Optional
  SCD-10 : Device Status (CWE) Optional
  SCD-11 : Cycle Start Date/Time (DTM) Optional
  SCD-12 : Dry Time (CQ) Optional
  SCD-13 : Leak Rate (CQ) Optional
  SCD-14 : Control Temperature (CQ) Optional
  SCD-15 : Sterilizer Temperature (CQ) Optional
  SCD-16 : Cycle Complete Time (TM) Optional
  SCD-17 : Under Temperature (CQ) Optional
  SCD-18 : Over Temperature (CQ) Optional
  SCD-19 : Abort Cycle (CNE) Optional
  SCD-20 : Alarm (CNE) Optional
  SCD-21 : Long in Charge Phase (CNE) Optional
  SCD-22 : Long in Exhaust Phase (CNE) Optional
  SCD-23 : Long in Fast Exhaust Phase (CNE) Optional
  SCD-24 : Reset (CNE) Optional
  SCD-25 : Operator - Unload (XCN) Optional
  SCD-26 : Door Open (CNE) Optional
  SCD-27 : Reading Failure (CNE) Optional
  SCD-28 : Cycle Type (CWE) Optional
  SCD-29 : Thermal Rinse Time (CQ) Optional
  SCD-30 : Wash Time (CQ) Optional
  SCD-31 : Injection Rate (CQ) Optional
  SCD-32 : Procedure Code (CNE) Optional
  SCD-33 : Patient Identifier List (CX) Optional
  SCD-34 : Attending Doctor (XCN) Optional
  SCD-35 : Dilution Factor (SN) Optional
  SCD-36 : Fill Time (CQ) Optional
  SCD-37 : Inlet Temperature (CQ) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCD()` Constructs the SCD segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPatientIdentifierList(CX objPatientIdentifierList)` Set the Patient Identifier List.
    `void` | `addPatientIdentifierList(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Patient Identifier List.
    `CNE` | `getAbortCycle()` Retrieves the Abort Cycle.
    `CNE` | `getAlarm()` Retrieves the Alarm.
    `XCN` | `getAttendingDoctor()` Retrieves the Attending Doctor.
    `CQ` | `getConditionTime()` Retrieves the Condition Time.
    `CQ` | `getControlTemperature()` Retrieves the Control Temperature.
    `TM` | `getCycleCompleteTime()` Retrieves the Cycle Complete Time.
    `NM` | `getCycleCount()` Retrieves the Cycle Count.
    `DTM` | `getCycleStartDateTime()` Retrieves the Cycle Start Date/Time.
    `TM` | `getCycleStartTime()` Retrieves the Cycle Start Time.
    `CWE` | `getCycleType()` Retrieves the Cycle Type.
    `CWE` | `getDeviceStatus()` Retrieves the Device Status.
    `SN` | `getDilutionFactor()` Retrieves the Dilution Factor.
    `CNE` | `getDoorOpen()` Retrieves the Door Open.
    `CQ` | `getDryTime()` Retrieves the Dry Time.
    `CQ` | `getExhaustTime()` Retrieves the Exhaust Time.
    `CQ` | `getFillTime()` Retrieves the Fill Time.
    `CQ` | `getInjectionRate()` Retrieves the Injection Rate.
    `CQ` | `getInletTemperature()` Retrieves the Inlet Temperature.
    `CQ` | `getLeakRate()` Retrieves the Leak Rate.
    `NM` | `getLoadNumber()` Retrieves the Load Number.
    `CNE` | `getLongInChargePhase()` Retrieves the Long in Charge Phase.
    `CNE` | `getLongInExhaustPhase()` Retrieves the Long in Exhaust Phase.
    `CNE` | `getLongInFastExhaustPhase()` Retrieves the Long in Fast Exhaust Phase.
    `XCN` | `getOperatorUnload()` Retrieves the Operator - Unload.
    `CQ` | `getOverTemperature()` Retrieves the Over Temperature.
    `ISingleCollection<CX>` | `getPatientIdentifierList()` Retrieves the Patient Identifier List.
    `CNE` | `getProcedureCode()` Retrieves the Procedure Code.
    `CNE` | `getReadingFailure()` Retrieves the Reading Failure.
    `CNE` | `getReset()` Retrieves the Reset.
    `CQ` | `getSterilizerTemperature()` Retrieves the Sterilizer Temperature.
    `CQ` | `getSterilizeTime()` Retrieves the Sterilize Time.
    `CQ` | `getTempMax()` Retrieves the Temp Max.
    `CQ` | `getTempMin()` Retrieves the Temp Min.
    `CQ` | `getThermalRinseTime()` Retrieves the Thermal Rinse Time.
    `CQ` | `getTotalCycleTime()` Retrieves the Total Cycle Time.
    `CQ` | `getUnderTemperature()` Retrieves the Under Temperature.
    `CQ` | `getWashTime()` Retrieves the Wash Time.
    `void` | `setAbortCycle(CNE objAbortCycle)` Set the Abort Cycle.
    `void` | `setAbortCycle(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Abort Cycle.
    `void` | `setAlarm(CNE objAlarm)` Set the Alarm.
    `void` | `setAlarm(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Alarm.
    `void` | `setAttendingDoctor(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Sets the Attending Doctor.
    `void` | `setAttendingDoctor(XCN objAttendingDoctor)` Sets the Attending Doctor.
    `void` | `setConditionTime(CQ objConditionTime)` Set the Condition Time.
    `void` | `setConditionTime(java.lang.String strQuantity, CWE objUnits)` Set the Condition Time.
    `void` | `setControlTemperature(CQ objControlTemperature)` Set the Control Temperature.
    `void` | `setControlTemperature(java.lang.String strQuantity, CWE objUnits)` Set the Control Temperature.
    `void` | `setCycleCompleteTime(java.lang.String strCycleCompleteTime)` Sets the Cycle Complete Time.
    `void` | `setCycleCompleteTime(TM objCycleCompleteTime)` Sets the Cycle Complete Time.
    `void` | `setCycleCount(NM objCycleCount)` Set the Cycle Count.
    `void` | `setCycleCount(java.lang.String strCycleCount)` Set the Cycle Count.
    `void` | `setCycleStartDateTime(DTM objCycleStartDateTime)` Set the Cycle Start Date/Time.
    `void` | `setCycleStartDateTime(java.lang.String strCycleStartDateTime)` Set the Cycle Start Date/Time.
    `void` | `setCycleStartTime(java.lang.String strCycleStartTime)` Sets the Cycle Start Time.
    `void` | `setCycleStartTime(TM objCycleStartTime)` Sets the Cycle Start Time.
    `void` | `setCycleType(CWE objCycleType)` Set the Cycle Type.
    `void` | `setCycleType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Cycle Type.
    `void` | `setDeviceStatus(CWE objDeviceStatus)` Set the Device Status.
    `void` | `setDeviceStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Device Status.
    `void` | `setDilutionFactor(SN objdilutionFactor)` Set the Dilution Factor.
    `void` | `setDilutionFactor(java.lang.String strComparator, java.lang.String strNum1, java.lang.String strSeparatorSuffix, java.lang.String strNum2)` Set the Dilution Factor.
    `void` | `setDoorOpen(CNE objDoorOpen)` Set the Door Open.
    `void` | `setDoorOpen(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Door Open.
    `void` | `setDryTime(CQ objDryTime)` Set the Dry Time.
    `void` | `setDryTime(java.lang.String strQuantity, CWE objUnits)` Set the Dry Time.
    `void` | `setExhaustTime(CQ objExhaustTime)` Set the Exhaust Time.
    `void` | `setExhaustTime(java.lang.String strQuantity, CWE objUnits)` Set the Exhaust Time.
    `void` | `setFillTime(CQ objFillTime)` Set the Fill Time.
    `void` | `setFillTime(java.lang.String strQuantity, CWE objUnits)` Set the Fill Time.
    `void` | `setInjectionRate(CQ objInjectionRate)` Set the Injection Rate.
    `void` | `setInjectionRate(java.lang.String strQuantity, CWE objUnits)` Set the Injection Rate.
    `void` | `setInletTemperature(CQ objInletTemperature)` Set the Inlet Temperature.
    `void` | `setInletTemperature(java.lang.String strQuantity, CWE objUnits)` Set the Inlet Temperature.
    `void` | `setLeakRate(CQ objLeakRate)` Set the Leak Rate.
    `void` | `setLeakRate(java.lang.String strQuantity, CWE objUnits)` Set the Leak Rate.
    `void` | `setLoadNumber(NM objLoadNumber)` Set the Load Number.
    `void` | `setLoadNumber(java.lang.String strLoadNumber)` Set the Load Number.
    `void` | `setLongInChargePhase(CNE objLongInChargePhase)` Set the Long in Charge Phase.
    `void` | `setLongInChargePhase(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Long in Charge Phase.
    `void` | `setLongInExhaustPhase(CNE objLongInExhaustPhase)` Set the Long in Exhaust Phase.
    `void` | `setLongInExhaustPhase(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Long in Exhaust Phase.
    `void` | `setLongInFastExhaustPhase(CNE objLongInFastExhaustPhase)` Set the Long in Fast Exhaust Phase.
    `void` | `setLongInFastExhaustPhase(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Long in Fast Exhaust Phase.
    `void` | `setOperatorUnload(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Sets the Operator - Unload.
    `void` | `setOperatorUnload(XCN objOperatorUnload)` Sets the Operator - Unload.
    `void` | `setOverTemperature(CQ objOverTemperature)` Set the Over Temperature.
    `void` | `setOverTemperature(java.lang.String strQuantity, CWE objUnits)` Set the Over Temperature.
    `void` | `setPatientIdentifierList(ISingleCollection<CX> objPatientIdentifierListList)` Set the Patient Identifier List.
    `void` | `setProcedureCode(CNE objProcedureCode)` Set the Procedure Code.
    `void` | `setProcedureCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Code.
    `void` | `setReadingFailure(CNE objReadingFailure)` Set the Reading Failure.
    `void` | `setReadingFailure(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Reading Failure.
    `void` | `setReset(CNE objReset)` Set the Reset.
    `void` | `setReset(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Reset.
    `void` | `setSterilizerTemperature(CQ objSterilizerTemperature)` Set the Sterilizer Temperature.
    `void` | `setSterilizerTemperature(java.lang.String strQuantity, CWE objUnits)` Set the Sterilizer Temperature.
    `void` | `setSterilizeTime(CQ objSterilizeTime)` Set the Sterilize Time.
    `void` | `setSterilizeTime(java.lang.String strQuantity, CWE objUnits)` Set the Sterilize Time.
    `void` | `setTempMax(CQ objTempMax)` Set the Temp Max.
    `void` | `setTempMax(java.lang.String strQuantity, CWE objUnits)` Set the Temp Max.
    `void` | `setTempMin(CQ objTempMin)` Set the Temp Min.
    `void` | `setTempMin(java.lang.String strQuantity, CWE objUnits)` Set the Temp Min.
    `void` | `setThermalRinseTime(CQ objThermalRinseTime)` Set the Thermal Rinse Time.
    `void` | `setThermalRinseTime(java.lang.String strQuantity, CWE objUnits)` Set the Thermal Rinse Time.
    `void` | `setTotalCycleTime(CQ objTotalCycleTime)` Set the Total Cycle Time.
    `void` | `setTotalCycleTime(java.lang.String strQuantity, CWE objUnits)` Set the Total Cycle Time.
    `void` | `setUnderTemperature(CQ objUnderTemperature)` Set the Under Temperature.
    `void` | `setUnderTemperature(java.lang.String strQuantity, CWE objUnits)` Set the Under Temperature.
    `void` | `setWashTime(CQ objWashTime)` Set the Wash Time.
    `void` | `setWashTime(java.lang.String strQuantity, CWE objUnits)` Set the Wash Time.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCD

          public SCD()

      Constructs the SCD segment.

  - ### Method Detail

    - #### getCycleStartTime

          public TM getCycleStartTime()

      Retrieves the Cycle Start Time. The time that the load cycle begins.
      Returns:
        TM - cycleStartTime

    - #### getCycleCount

          public NM getCycleCount()

      Retrieves the Cycle Count. The number of cycles that have been completed.
      Returns:
        NM - cycleCount

    - #### getTempMax

          public CQ getTempMax()

      Retrieves the Temp Max. The maximum temperature achieved during a specific cycle.
      Returns:
        CQ - tempMax

    - #### getTempMin

          public CQ getTempMin()

      Retrieves the Temp Min. The minimum temperature achieved during a specific cycle.
      Returns:
        CQ - tempMin

    - #### getLoadNumber

          public NM getLoadNumber()

      Retrieves the Load Number. A number assigned to the load by the anti-microbial device.
      Returns:
        NM - loadNumber

    - #### getConditionTime

          public CQ getConditionTime()

      Retrieves the Condition Time. The actual amount of cycle time spent in the conditioning phase.
      Returns:
        CQ - conditionTime

    - #### getSterilizeTime

          public CQ getSterilizeTime()

      Retrieves the Sterilize Time. The actual amount of cycle time spent sterilizing supplies.
      Returns:
        CQ - sterilizeTime

    - #### getExhaustTime

          public CQ getExhaustTime()

      Retrieves the Exhaust Time. The actual amount of cycle time spent draining pressure from the sterilizer chamber.
      Returns:
        CQ - exhaustTime

    - #### getTotalCycleTime

          public CQ getTotalCycleTime()

      Retrieves the Total Cycle Time. The sum of time spent in all phases of a cycle.
      Returns:
        CQ - totalCycleTime

    - #### getDeviceStatus

          public CWE getDeviceStatus()

      Retrieves the Device Status. The status of a device.
      Returns:
        CWE - deviceStatus

    - #### getCycleStartDateTime

          public DTM getCycleStartDateTime()

      Retrieves the Cycle Start Date/Time. The date and time that the cycle started.
      Returns:
        DTM - cycleStartDateTime

    - #### getDryTime

          public CQ getDryTime()

      Retrieves the Dry Time. The amount of cycle time spent drying the load.
      Returns:
        CQ - dryTime

    - #### getLeakRate

          public CQ getLeakRate()

      Retrieves the Leak Rate. The amount of pressure that the chamber can hold expressed as barometric pressure.
      Returns:
        CQ - leakRate

    - #### getControlTemperature

          public CQ getControlTemperature()

      Retrieves the Control Temperature. Amount of overdrive above the sterilize temperature.
      Returns:
        CQ - controlTemperature

    - #### getSterilizerTemperature

          public CQ getSterilizerTemperature()

      Retrieves the Sterilizer Temperature. The current temperature in the anti-microbial device.
      Returns:
        CQ - sterilizerTemperature

    - #### getCycleCompleteTime

          public TM getCycleCompleteTime()

      Retrieves the Cycle Complete Time. The time of day that the cycle completed.
      Returns:
        TM - cycleCompleteTime

    - #### getUnderTemperature

          public CQ getUnderTemperature()

      Retrieves the Under Temperature. The temperature reached during a cycle, which fell below the required temperature range.
      Returns:
        CQ - underTemperature

    - #### getOverTemperature

          public CQ getOverTemperature()

      Retrieves the Over Temperature. The temperature reached during a cycle, which exceeded the required temperature.
      Returns:
        CQ - overTemperature

    - #### getAbortCycle

          public CNE getAbortCycle()

      Retrieves the Abort Cycle. A notification that the cycle was aborted.
      Returns:
        CNE - abortCycle

    - #### getAlarm

          public CNE getAlarm()

      Retrieves the Alarm. A notification that the time, temperature, or pressure reached is invalid for a specific phase of a cycle.
      Returns:
        CNE - alarm

    - #### getLongInChargePhase

          public CNE getLongInChargePhase()

      Retrieves the Long in Charge Phase. A notification that the charge phase in the cycle has exceeded the maximum time allowed.
      Returns:
        CNE - longInChargePhase

    - #### getLongInExhaustPhase

          public CNE getLongInExhaustPhase()

      Retrieves the Long in Exhaust Phase. A notification that the exhaust phase in the cycle has exceeded the maximum time allowed.
      Returns:
        CNE - longInExhaustPhase

    - #### getLongInFastExhaustPhase

          public CNE getLongInFastExhaustPhase()

      Retrieves the Long in Fast Exhaust Phase. A notification that the fast exhaust phase in the cycle has exceeded the maximum time allowed.
      Returns:
        CNE - LongInFastExhaustPhase

    - #### getReset

          public CNE getReset()

      Retrieves the Reset. An indicator that specific anti-microbial device parameters have been set to system defaults.
      Returns:
        CNE - reset

    - #### getOperatorUnload

          public XCN getOperatorUnload()

      Retrieves the Operator - Unload. The name of the operator that unloaded the anti-microbial device.
      Returns:
        XCN - operatorUnload

    - #### getDoorOpen

          public CNE getDoorOpen()

      Retrieves the Door Open. An indicator that the door is open.
      Returns:
        CNE - doorOpen

    - #### getReadingFailure

          public CNE getReadingFailure()

      Retrieves the Reading Failure. A notification that an error was encountered while reading the cycle data for a specific cycle.
      Returns:
        CNE - readingFailure

    - #### getCycleType

          public CWE getCycleType()

      Retrieves the Cycle Type. The type of cycle that is being executed.
      Returns:
        CWE - cycleType

    - #### getThermalRinseTime

          public CQ getThermalRinseTime()

      Retrieves the Thermal Rinse Time. The amount of time spent in the thermal rinse phase of a decontamination cycle.
      Returns:
        CQ - thermalRinseTime

    - #### getWashTime

          public CQ getWashTime()

      Retrieves the Wash Time. The amount of time spent in the thermal rinse phase of a decontamination cycle.
      Returns:
        CQ - washTime

    - #### getInjectionRate

          public CQ getInjectionRate()

      Retrieves the Injection Rate. The injection rate of a wash or dry agent.
      Returns:
        CQ - injectionRate

    - #### getProcedureCode

          public CNE getProcedureCode()

      Retrieves the Procedure Code. The unique identifier indicating the type of procedure performed on the patient with the supplies being sterilized.
      Returns:
        CNE - procedureCode

    - #### getPatientIdentifierList

          public ISingleCollection<CX> getPatientIdentifierList()

      Retrieves the Patient Identifier List. The unique identifier associating the patient with the supplies being sterilized.
      Returns:
        ISingleCollection - patientIdentifierList

    - #### getAttendingDoctor

          public XCN getAttendingDoctor()

      Retrieves the Attending Doctor. The unique identifier associating the physician with the supplies being sterilized, used for the procedure and patient identified in this message.
      Returns:
        XCN - attendingDoctor

    - #### getDilutionFactor

          public SN getDilutionFactor()

      Retrieves the Dilution Factor. The dilution ratio of peracetic acid to water.
      Returns:
        SN - dilutionFactor

    - #### getFillTime

          public CQ getFillTime()

      Retrieves the Fill Time. The amount of time spent in filling the sterilizer chamber with dilutant.
      Returns:
        CQ - fillTime

    - #### getInletTemperature

          public CQ getInletTemperature()

      Retrieves the Inlet Temperature. The temperature of the dilutant upon entering the sterilizer chamber.
      Returns:
        CQ - inletTemperature

    - #### setCycleStartTime

          public void setCycleStartTime(java.lang.String strCycleStartTime)

      Sets the Cycle Start Time. The time that the load cycle begins.
      Parameters:
        `strCycleStartTime` - Use as Cycle Start Time.

    - #### setCycleStartTime

          public void setCycleStartTime(TM objCycleStartTime)

      Sets the Cycle Start Time. The time that the load cycle begins.
      Parameters:
        `objCycleStartTime` - Object of Cycle Start Time.

    - #### setCycleCount

          public void setCycleCount(java.lang.String strCycleCount)

      Set the Cycle Count. The number of cycles that have been completed.
      Parameters:
        `strCycleCount` - Use as Cycle Count

    - #### setCycleCount

          public void setCycleCount(NM objCycleCount)

      Set the Cycle Count. The number of cycles that have been completed.
      Parameters:
        `objCycleCount` - Use as Cycle Count

    - #### setTempMax

          public void setTempMax(java.lang.String strQuantity,
                        CWE objUnits)

      Set the Temp Max. The maximum temperature achieved during a specific cycle.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setTempMax

          public void setTempMax(CQ objTempMax)

      Set the Temp Max. The maximum temperature achieved during a specific cycle.
      Parameters:
        `objTempMax` - Object of Temp Max.

    - #### setTempMin

          public void setTempMin(java.lang.String strQuantity,
                        CWE objUnits)

      Set the Temp Min. The minimum temperature achieved during a specific cycle.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setTempMin

          public void setTempMin(CQ objTempMin)

      Set the Temp Min. The minimum temperature achieved during a specific cycle.
      Parameters:
        `objTempMax` - Object of Temp Min.

    - #### setLoadNumber

          public void setLoadNumber(java.lang.String strLoadNumber)

      Set the Load Number. A number assigned to the load by the anti-microbial device.
      Parameters:
        `strLoadNumber` - Use as Load Number

    - #### setLoadNumber

          public void setLoadNumber(NM objLoadNumber)

      Set the Load Number. A number assigned to the load by the anti-microbial device.
      Parameters:
        `objLoadNumber` - Use as Load Number

    - #### setConditionTime

          public void setConditionTime(java.lang.String strQuantity,
                              CWE objUnits)

      Set the Condition Time. The actual amount of cycle time spent in the conditioning phase.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setConditionTime

          public void setConditionTime(CQ objConditionTime)

      Set the Condition Time. The actual amount of cycle time spent in the conditioning phase.
      Parameters:
        `objConditionTime` - Object of Condition Time.

    - #### setSterilizeTime

          public void setSterilizeTime(java.lang.String strQuantity,
                              CWE objUnits)

      Set the Sterilize Time. The actual amount of cycle time spent sterilizing supplies.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setSterilizeTime

          public void setSterilizeTime(CQ objSterilizeTime)

      Set the Sterilize Time. The actual amount of cycle time spent sterilizing supplies.
      Parameters:
        `objSterilizeTime` - Object of Sterilize Time.

    - #### setExhaustTime

          public void setExhaustTime(java.lang.String strQuantity,
                            CWE objUnits)

      Set the Exhaust Time. The actual amount of cycle time spent draining pressure from the sterilizer chamber.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setExhaustTime

          public void setExhaustTime(CQ objExhaustTime)

      Set the Exhaust Time. The actual amount of cycle time spent draining pressure from the sterilizer chamber.
      Parameters:
        `objExhaustTime` - Object of Exhaust Time.

    - #### setTotalCycleTime

          public void setTotalCycleTime(java.lang.String strQuantity,
                               CWE objUnits)

      Set the Total Cycle Time. The sum of time spent in all phases of a cycle.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setTotalCycleTime

          public void setTotalCycleTime(CQ objTotalCycleTime)

      Set the Total Cycle Time. The sum of time spent in all phases of a cycle.
      Parameters:
        `objTotalCycleTime` - Object of Total Cycle Time.

    - #### setDeviceStatus

          public void setDeviceStatus(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Device Status. The status of a device.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDeviceStatus

          public void setDeviceStatus(CWE objDeviceStatus)

      Set the Device Status. The status of a device.
      Parameters:
        `objDeviceStatus` - Object of Load Status.

    - #### setCycleStartDateTime

          public void setCycleStartDateTime(java.lang.String strCycleStartDateTime)

      Set the Cycle Start Date/Time. The date and time that the cycle started.
      Parameters:
        `strCycleStartDateTime` - Use as Cycle Start Date/Time.

    - #### setCycleStartDateTime

          public void setCycleStartDateTime(DTM objCycleStartDateTime)

      Set the Cycle Start Date/Time. The date and time that the cycle started.
      Parameters:
        `objCycleStartDateTime` - Object of Cycle Start Date/Time.

    - #### setDryTime

          public void setDryTime(java.lang.String strQuantity,
                        CWE objUnits)

      Set the Dry Time. The amount of cycle time spent drying the load.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setDryTime

          public void setDryTime(CQ objDryTime)

      Set the Dry Time. The amount of cycle time spent drying the load.
      Parameters:
        `objDryTime` - Object of Dry Time.

    - #### setLeakRate

          public void setLeakRate(java.lang.String strQuantity,
                         CWE objUnits)

      Set the Leak Rate. The amount of pressure that the chamber can hold expressed as barometric pressure.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setLeakRate

          public void setLeakRate(CQ objLeakRate)

      Set the Leak Rate. The amount of pressure that the chamber can hold expressed as barometric pressure.
      Parameters:
        `objLeakRate` - Object of Leak Rate.

    - #### setControlTemperature

          public void setControlTemperature(java.lang.String strQuantity,
                                   CWE objUnits)

      Set the Control Temperature. Amount of overdrive above the sterilize temperature.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setControlTemperature

          public void setControlTemperature(CQ objControlTemperature)

      Set the Control Temperature. Amount of overdrive above the sterilize temperature.
      Parameters:
        `objControlTemperature` - Object of Control Temperature.

    - #### setSterilizerTemperature

          public void setSterilizerTemperature(java.lang.String strQuantity,
                                      CWE objUnits)

      Set the Sterilizer Temperature. The current temperature in the anti-microbial device.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setSterilizerTemperature

          public void setSterilizerTemperature(CQ objSterilizerTemperature)

      Set the Sterilizer Temperature. The current temperature in the anti-microbial device.
      Parameters:
        `objSterilizerTemperature` - Object of Sterilizer Temperature.

    - #### setCycleCompleteTime

          public void setCycleCompleteTime(java.lang.String strCycleCompleteTime)

      Sets the Cycle Complete Time. The time of day that the cycle completed.
      Parameters:
        `strCycleCompleteTime` - Use as Cycle Complete Time.

    - #### setCycleCompleteTime

          public void setCycleCompleteTime(TM objCycleCompleteTime)

      Sets the Cycle Complete Time. The time of day that the cycle completed.
      Parameters:
        `objCycleCompleteTime` - Object of Cycle Complete Time.

    - #### setUnderTemperature

          public void setUnderTemperature(java.lang.String strQuantity,
                                 CWE objUnits)

      Set the Under Temperature. The temperature reached during a cycle, which fell below the required temperature range.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setUnderTemperature

          public void setUnderTemperature(CQ objUnderTemperature)

      Set the Under Temperature. The temperature reached during a cycle, which fell below the required temperature range.
      Parameters:
        `objUnderTemperature` - Object of Under Temperature.

    - #### setOverTemperature

          public void setOverTemperature(java.lang.String strQuantity,
                                CWE objUnits)

      Set the Over Temperature. The temperature reached during a cycle, which exceeded the required temperature.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setOverTemperature

          public void setOverTemperature(CQ objOverTemperature)

      Set the Over Temperature. The temperature reached during a cycle, which exceeded the required temperature.
      Parameters:
        `objOverTemperature` - Object of Over Temperature.

    - #### setAbortCycle

          public void setAbortCycle(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionID,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameOfSecondAltenateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Abort Cycle. A notification that the cycle was aborted.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setAbortCycle

          public void setAbortCycle(CNE objAbortCycle)

      Set the Abort Cycle. A notification that the cycle was aborted.
      Parameters:
        `objAbortCycle` - Object of Abort Cycle.

    - #### setAlarm

          public void setAlarm(java.lang.String strIdentifier,
                      java.lang.String strText,
                      java.lang.String strNameOfCodingSystem,
                      java.lang.String strAlternateIdentifier,
                      java.lang.String strAlternateText,
                      java.lang.String strNameOfAlternateCodingSystem,
                      java.lang.String strCodingSystemVersionID,
                      java.lang.String strAlternateCodingSystemVersionID,
                      java.lang.String strOriginalText,
                      java.lang.String strSecondAlternateIdentifier,
                      java.lang.String strSecondAlternateText,
                      java.lang.String strNameOfSecondAltenateCodingSystem,
                      java.lang.String strSecondAlternateCodingSystemVersionID,
                      java.lang.String strCodingSystemOID,
                      java.lang.String strValueSetOID,
                      java.lang.String strValueSetVersionID,
                      java.lang.String strAlternateCodingSystemOID,
                      java.lang.String strAlternateValueSetOID,
                      java.lang.String strAlternateValueSetVersionID,
                      java.lang.String strSecondAlternateCodingSystemOID,
                      java.lang.String strSecondAlternateValueSetOID,
                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Alarm. A notification that the time, temperature, or pressure reached is invalid for a specific phase of a cycle.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setAlarm

          public void setAlarm(CNE objAlarm)

      Set the Alarm. A notification that the time, temperature, or pressure reached is invalid for a specific phase of a cycle.
      Parameters:
        `objAlarm` - Object of Alarm.

    - #### setLongInChargePhase

          public void setLongInChargePhase(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionID,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameOfSecondAltenateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Long in Charge Phase. A notification that the charge phase in the cycle has exceeded the maximum time allowed.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setLongInChargePhase

          public void setLongInChargePhase(CNE objLongInChargePhase)

      Set the Long in Charge Phase. A notification that the charge phase in the cycle has exceeded the maximum time allowed.
      Parameters:
        `objLongInChargePhase` - Object of Long in Charge Phase.

    - #### setLongInExhaustPhase

          public void setLongInExhaustPhase(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionID,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameOfSecondAltenateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Long in Exhaust Phase. A notification that the exhaust phase in the cycle has exceeded the maximum time allowed.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setLongInExhaustPhase

          public void setLongInExhaustPhase(CNE objLongInExhaustPhase)

      Set the Long in Exhaust Phase. A notification that the exhaust phase in the cycle has exceeded the maximum time allowed.
      Parameters:
        `objLongInExhaustPhase` - Object of Long in Exhaust Phase.

    - #### setLongInFastExhaustPhase

          public void setLongInFastExhaustPhase(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionID,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameOfSecondAltenateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Long in Fast Exhaust Phase. A notification that the fast exhaust phase in the cycle has exceeded the maximum time allowed.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setLongInFastExhaustPhase

          public void setLongInFastExhaustPhase(CNE objLongInFastExhaustPhase)

      Set the Long in Fast Exhaust Phase. A notification that the fast exhaust phase in the cycle has exceeded the maximum time allowed.
      Parameters:
        `objLongInFastExhaustPhase` - Object of Long in Fast Exhaust Phase.

    - #### setReset

          public void setReset(java.lang.String strIdentifier,
                      java.lang.String strText,
                      java.lang.String strNameOfCodingSystem,
                      java.lang.String strAlternateIdentifier,
                      java.lang.String strAlternateText,
                      java.lang.String strNameOfAlternateCodingSystem,
                      java.lang.String strCodingSystemVersionID,
                      java.lang.String strAlternateCodingSystemVersionID,
                      java.lang.String strOriginalText,
                      java.lang.String strSecondAlternateIdentifier,
                      java.lang.String strSecondAlternateText,
                      java.lang.String strNameOfSecondAltenateCodingSystem,
                      java.lang.String strSecondAlternateCodingSystemVersionID,
                      java.lang.String strCodingSystemOID,
                      java.lang.String strValueSetOID,
                      java.lang.String strValueSetVersionID,
                      java.lang.String strAlternateCodingSystemOID,
                      java.lang.String strAlternateValueSetOID,
                      java.lang.String strAlternateValueSetVersionID,
                      java.lang.String strSecondAlternateCodingSystemOID,
                      java.lang.String strSecondAlternateValueSetOID,
                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Reset. An indicator that specific anti-microbial device parameters have been set to system defaults.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setReset

          public void setReset(CNE objReset)

      Set the Reset. An indicator that specific anti-microbial device parameters have been set to system defaults.
      Parameters:
        `objReset` - Object of Reset.

    - #### setOperatorUnload

          public void setOperatorUnload(java.lang.String strIDNumber,
                               FN objFamilyName,
                               java.lang.String strGivenName,
                               java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                               java.lang.String strSuffix,
                               java.lang.String strPrefix,
                               CWE objSourceTable,
                               HD objAssigningAuthority,
                               java.lang.String strNameTypeCode,
                               java.lang.String strIdentifierCheckDigit,
                               java.lang.String strCheckDigitScheme,
                               java.lang.String strIdentifierTypeCode,
                               HD objAssigningFacility,
                               java.lang.String strNameRepresentationCode,
                               CWE objNameContext,
                               java.lang.String strNameAssemblyOrder,
                               java.lang.String strEffectiveDate,
                               java.lang.String strExpirationDate,
                               java.lang.String strProfessionalSuffix,
                               CWE objAssigningJurisdiction,
                               CWE objAssigningAgencyOrDepratment,
                               java.lang.String strSecurityCheck,
                               java.lang.String strSecurityCheckScheme)

      Sets the Operator - Unload. The name of the operator that unloaded the anti-microbial device.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setOperatorUnload

          public void setOperatorUnload(XCN objOperatorUnload)

      Sets the Operator - Unload. The name of the operator that unloaded the anti-microbial device.
      Parameters:
        `objOperatorUnload` - Object of Operator - Unload.

    - #### setDoorOpen

          public void setDoorOpen(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionID,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameOfSecondAltenateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Door Open. An indicator that the door is open.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setDoorOpen

          public void setDoorOpen(CNE objDoorOpen)

      Set the Door Open. An indicator that the door is open.
      Parameters:
        `objDoorOpen` - Object of Door Open.

    - #### setReadingFailure

          public void setReadingFailure(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionID,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameOfSecondAltenateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Reading Failure. A notification that an error was encountered while reading the cycle data for a specific cycle.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setReadingFailure

          public void setReadingFailure(CNE objReadingFailure)

      Set the Reading Failure. A notification that an error was encountered while reading the cycle data for a specific cycle.
      Parameters:
        `objReadingFailure` - Object of Reading Failure.

    - #### setCycleType

          public void setCycleType(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Cycle Type. The type of cycle that is being executed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCycleType

          public void setCycleType(CWE objCycleType)

      Set the Cycle Type. The type of cycle that is being executed.
      Parameters:
        `objCycleType` - Object of Cycle Type.

    - #### setThermalRinseTime

          public void setThermalRinseTime(java.lang.String strQuantity,
                                 CWE objUnits)

      Set the Thermal Rinse Time. The amount of time spent in the thermal rinse phase of a decontamination cycle.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setThermalRinseTime

          public void setThermalRinseTime(CQ objThermalRinseTime)

      Set the Thermal Rinse Time. The amount of time spent in the thermal rinse phase of a decontamination cycle.
      Parameters:
        `objThermalRinseTime` - Object of Thermal Rinse Time.

    - #### setWashTime

          public void setWashTime(java.lang.String strQuantity,
                         CWE objUnits)

      Set the Wash Time. The amount of time spent in the thermal rinse phase of a decontamination cycle.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setWashTime

          public void setWashTime(CQ objWashTime)

      Set the Wash Time. The amount of time spent in the thermal rinse phase of a decontamination cycle.
      Parameters:
        `objWashTime` - Object of Wash Time.

    - #### setInjectionRate

          public void setInjectionRate(java.lang.String strQuantity,
                              CWE objUnits)

      Set the Injection Rate. The injection rate of a wash or dry agent.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setInjectionRate

          public void setInjectionRate(CQ objInjectionRate)

      Set the Injection Rate. The injection rate of a wash or dry agent.
      Parameters:
        `objInjectionRate` - Object of Injection Rate.

    - #### setProcedureCode

          public void setProcedureCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionID,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameOfSecondAltenateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Code. The unique identifier indicating the type of procedure performed on the patient with the supplies being sterilized.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setProcedureCode

          public void setProcedureCode(CNE objProcedureCode)

      Set the Procedure Code. The unique identifier indicating the type of procedure performed on the patient with the supplies being sterilized.
      Parameters:
        `objProcedureCode` - Object of Procedure Code.

    - #### addPatientIdentifierList

          public void addPatientIdentifierList(java.lang.String strIDNumber,
                                      java.lang.String strCheckDigit,
                                      java.lang.String strCheckDigitScheme,
                                      HD objAssigningAuthority,
                                      java.lang.String strIdentifierTypeCode,
                                      HD objAssigningFacility,
                                      java.lang.String strEffectiveDate,
                                      java.lang.String strExpirationDate,
                                      CWE objAssigningJurisdiction,
                                      CWE objAssigningAgencyOrDepartment,
                                      java.lang.String strSecurityCheck,
                                      java.lang.String strSecurityCheckScheme)

      Set the Patient Identifier List. The unique identifier associating the patient with the supplies being sterilized.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addPatientIdentifierList

          public void addPatientIdentifierList(CX objPatientIdentifierList)

      Set the Patient Identifier List. The unique identifier associating the patient with the supplies being sterilized.
      Parameters:
        `objPatientIdentifierList` - Object of Patient Identifier List

    - #### setPatientIdentifierList

          public void setPatientIdentifierList(ISingleCollection<CX> objPatientIdentifierListList)

      Set the Patient Identifier List. The unique identifier associating the patient with the supplies being sterilized.
      Parameters:
        `objPatientIdentifierListList` - List of Patient Identifier List.

    - #### setAttendingDoctor

          public void setAttendingDoctor(java.lang.String strIDNumber,
                                FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                CWE objSourceTable,
                                HD objAssigningAuthority,
                                java.lang.String strNameTypeCode,
                                java.lang.String strIdentifierCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepratment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Sets the Attending Doctor. The unique identifier associating the physician with the supplies being sterilized, used for the procedure and patient identified in this message.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setAttendingDoctor

          public void setAttendingDoctor(XCN objAttendingDoctor)

      Sets the Attending Doctor. The unique identifier associating the physician with the supplies being sterilized, used for the procedure and patient identified in this message.
      Parameters:
        `objAttendingDoctor` - Object of Attending Doctor.

    - #### setDilutionFactor

          public void setDilutionFactor(java.lang.String strComparator,
                               java.lang.String strNum1,
                               java.lang.String strSeparatorSuffix,
                               java.lang.String strNum2)

      Set the Dilution Factor. The dilution ratio of peracetic acid to water.
      Parameters:
        `strComparator` - Specifies as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively
        `strNum1` - Specifies A number.
        `strSeparatorSuffix` - Specifies Separat or Suffix
        `strNum2` - Specifies A number or null depending on the measurement.

    - #### setDilutionFactor

          public void setDilutionFactor(SN objdilutionFactor)

      Set the Dilution Factor. The dilution ratio of peracetic acid to water.
      Parameters:
        `objdilutionFactor` - Object of Dilution Factor.

    - #### setFillTime

          public void setFillTime(java.lang.String strQuantity,
                         CWE objUnits)

      Set the Fill Time. The amount of time spent in filling the sterilizer chamber with dilutant.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setFillTime

          public void setFillTime(CQ objFillTime)

      Set the Fill Time. The amount of time spent in filling the sterilizer chamber with dilutant.
      Parameters:
        `objFillTime` - Object of Fill Time.

    - #### setInletTemperature

          public void setInletTemperature(java.lang.String strQuantity,
                                 CWE objUnits)

      Set the Inlet Temperature. The temperature of the dilutant upon entering the sterilizer chamber.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setInletTemperature

          public void setInletTemperature(CQ objInletTemperature)

      Set the Inlet Temperature. The temperature of the dilutant upon entering the sterilizer chamber.
      Parameters:
        `objInletTemperature` - Object of Inlet Temperature.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails